WPG2TransformMatrix Class Reference

`#include <WPG2Parser.h>`

## Public Member Functions
| WPG2TransformMatrix ()
void | transform (long &x, long &y) const
librevenge::RVNGPropertyList | transformPoint (const ::librevenge::RVNGPropertyList &p) const
librevenge::RVNGPropertyList | transformRect (const ::librevenge::RVNGPropertyList &r) const
WPG2TransformMatrix & | transformBy (const WPG2TransformMatrix &m)

## Public Attributes
double | element [3][3]

## Static Private Member Functions
static long | toLong (double d)

## Constructor & Destructor Documentation

## ◆ WPG2TransformMatrix()

WPG2TransformMatrix::WPG2TransformMatrix | ( |  | ) |
| inline

Referenced by WPG2Parser::parseCharacterization(), and transformBy().

## Member Function Documentation

## ◆ toLong()

long WPG2TransformMatrix::toLong | ( | double | d | ) |
| inline static private

Referenced by transform().

## ◆ transform()

void WPG2TransformMatrix::transform | ( | long & | x,
|  | long & | y ) const
| inline

Referenced by WPG2Parser::transformXY().

## ◆ transformBy()

WPG2TransformMatrix & WPG2TransformMatrix::transformBy | ( | const WPG2TransformMatrix & | m | ) |
| inline

Referenced by WPG2Parser::handlePolycurve(), and WPG2Parser::handlePolyline().

## ◆ transformPoint()

librevenge::RVNGPropertyList WPG2TransformMatrix::transformPoint | ( | const ::librevenge::RVNGPropertyList & | p | ) | const
| inline

## ◆ transformRect()

librevenge::RVNGPropertyList WPG2TransformMatrix::transformRect | ( | const ::librevenge::RVNGPropertyList & | r | ) | const
| inline

## Member Data Documentation

## ◆ element

double WPG2TransformMatrix::element[3][3]

Referenced by WPG2Parser::parseCharacterization(), transform(), transformBy(), transformPoint(), transformRect(), and WPG2TransformMatrix().

The documentation for this class was generated from the following file:

- WPG2Parser.h